# Prompt Engineering

<details>

<summary>What is a prompt?</summary>

A prompt is an initial input or instruction given to an AI model to generate a response or complete a task.

</details>

<details>

<summary>Why is a prompt important?</summary>

A prompt is essential as it directs the AI model's output by offering detailed context, guidelines, or inquiries, thereby ensuring the generated response is pertinent, precise, and customized to the user's requirements.

</details>

### Other prompt resources:

<table data-header-hidden><thead><tr><th></th><th></th><th data-hidden data-type="files"></th></tr></thead><tbody><tr><td><strong>OpenAI official Prompt Guide</strong></td><td><a href="https://platform.openai.com/docs/guides/prompt-engineering">https://platform.openai.com/docs/guides/prompt-engineering</a></td><td></td></tr><tr><td><strong>Claude official Prompt Library</strong></td><td><a href="https://docs.anthropic.com/claude/prompt-library">https://docs.anthropic.com/claude/prompt-library</a></td><td></td></tr><tr><td><strong>Claude Official Prompt Guide</strong></td><td><a href="https://docs.anthropic.com/en/docs/welcome">https://docs.anthropic.com/en/docs/welcome</a></td><td></td></tr><tr><td><strong>Google Prompting Essentials</strong></td><td><a href="https://grow.google/prompting-essentials/?utm_source=google&#x26;utm_medium=paidsearch&#x26;utm_campaign=ha-sem-bk-pe-exa__geo%E2%80%94US&#x26;utm_term=google%20prompting%20essentials&#x26;gad_source=1&#x26;gclid=Cj0KCQjw16O_BhDNARIsAC3i2GDDWA3614Y0iX9YaccH5vPAbXfIFHl3E1Jtxhz-q4glV95ZjAwJ-PAaAreDEALw_wcB">https://grow.google/prompting-essentials/?utm_source=google&#x26;utm_medium=paidsearch&#x26;utm_campaign=ha-sem-bk-pe-exa__geo%E2%80%94US&#x26;utm_term=google%20prompting%20essentials&#x26;gad_source=1&#x26;gclid=Cj0KCQjw16O_BhDNARIsAC3i2GDDWA3614Y0iX9YaccH5vPAbXfIFHl3E1Jtxhz-q4glV95ZjAwJ-PAaAreDEALw_wcB</a></td><td></td></tr><tr><td><strong>Google Prompting Guide 101</strong></td><td><a href="https://services.google.com/fh/files/misc/gemini-for-google-workspace-prompting-guide-101.pdf">https://services.google.com/fh/files/misc/gemini-for-google-workspace-prompting-guide-101.pdf</a></td><td><a href="/files/aputqWvYI6kWQKZgP6Wi">/files/aputqWvYI6kWQKZgP6Wi</a></td></tr><tr><td><strong>Prompt Guide from Lovable</strong></td><td><a href="https://docs.lovable.dev/prompting/prompting-one">https://docs.lovable.dev/prompting/prompting-one</a></td><td></td></tr></tbody></table>

### Prompt generator

{% tabs %}
{% tab title="Prompts.chat" %}
<https://prompts.chat/>

{% endtab %}

{% tab title="Prompt Perfect " %}
<https://promptperfect.jina.ai/>
{% endtab %}

{% tab title="Maskara" %}
<https://www.maskara.ai/>
{% endtab %}

{% tab title="Anthropic Prompt generator" %}
Anthropic Prompt generator

<https://console.anthropic.com/dashboard>
{% endtab %}
{% endtabs %}

### Prompt MarketPlace

* <https://promptbase.com/>
* <https://promptrr.io/>
* <https://prompts-market.com/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aiandbusiness.com/learn/large-language-models-llms/prompt-engineering.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
